commit:     c78391571d7b78ac0533833e4692799b57875eac
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 24 06:52:08 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 24 09:03:33 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7839157

dev-python/ijson: Bump to 3.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ijson/Manifest           |  1 +
 dev-python/ijson/ijson-3.5.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/ijson/Manifest b/dev-python/ijson/Manifest
index 83cc43e9f600..fe8b632dfd73 100644
--- a/dev-python/ijson/Manifest
+++ b/dev-python/ijson/Manifest
@@ -1 +1,2 @@
 DIST ijson-3.4.0.tar.gz 65782 BLAKE2B 
133cedb643d9021511094f6799a1e39c6e5c301bb7a89ddf389006bd56136cf76736ef1187073fb8d10bafd8bc4250b9d3777c19ec681308a2ae8a891908340c
 SHA512 
2d473adaf31c84b601e1499aadd9086201b29c02c1abd432a8ed9464e42010d9a5a29f1be7d0a186eca4bb8a3b3482d27651583c020dc688257fd41b4b9729f7
+DIST ijson-3.5.0.tar.gz 68658 BLAKE2B 
5ab77cdc9f45b1e87a0ee5d56d19505b927da71fae0c7017fb44f2a5be47a4ccb1f8ba74590bd4adec89eef3ec4cb8e02ae137891f23088ab0df36fff9dc5454
 SHA512 
2a50ce4837ced0dc026c477c1efccb021795839b26b1d2bebfafafba8109d424a1aac3b374f6c122f116b3f419cab77c22c5a5fa5ffeacf4281ae9677cd46a41

diff --git a/dev-python/ijson/ijson-3.5.0.ebuild 
b/dev-python/ijson/ijson-3.5.0.ebuild
new file mode 100644
index 000000000000..a548c4424027
--- /dev/null
+++ b/dev-python/ijson/ijson-3.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Iterative JSON parser with a Pythonic interface"
+HOMEPAGE="
+       https://github.com/ICRAR/ijson/
+       https://pypi.org/project/ijson/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+       dev-libs/yajl:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export IJSON_BUILD_YAJL2C=1
+
+python_test() {
+       rm -rf ijson || die
+       epytest
+}

Reply via email to